Bug 1436243 - UI: Advanced Search - Canceling delete on saved filter delete confirmation dialog deletes the filter
Summary: UI: Advanced Search - Canceling delete on saved filter delete confirmation di...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.9.0
Assignee: Hilda Stastna
QA Contact: Sunil Kondkar
URL:
Whiteboard:
Depends On:
Blocks: 1439946
TreeView+ depends on / blocked
 
Reported: 2017-03-27 13:41 UTC by Sunil Kondkar
Modified: 2019-08-06 20:07 UTC (History)
7 users (show)

Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1439946 (view as bug list)
Environment:
Last Closed: 2018-03-06 15:53:12 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description Sunil Kondkar 2017-03-27 13:41:39 UTC
Description of problem:

Clicking on 'Delete' button of a saved filter shows a confirmation dialog. If user clicks Cancel button on the confirmation dialog, the saved filter is deleted with success message.

Version-Release number of selected component (if applicable):

Version 5.8.0.7.20170321164727_1c97ccd 

How reproducible:

Always

Steps to Reproduce:

1. Navigate to the Providers (Tried Middleware, network and cloud provider)
2. Click on advanced search, 
3. Specify some random conditions as a filter and then save the filter.
4. Click on Delete button.
5. Click on 'Cancel' button on the delete confirmation dialog
6. Observe that it shows a delete success message.

Actual results:

Canceling delete on delete confirmation dialog deletes the filter.

Expected results:

The saved filter delete should be canceled.

Additional info:

Comment 3 Hilda Stastna 2017-04-04 15:41:40 UTC
fixing https://github.com/ManageIQ/manageiq-ui-classic/pull/918

Comment 5 Sunil Kondkar 2017-10-24 07:53:18 UTC
Verified on 5.9.0.2.20171010190026_0413a06

Verified that filter is not deleted if 'Cancel' is pressed on delete confirmation pop up.


Note You need to log in before you can comment on or make changes to this bug.